%define upstream_name    Apache-Htpasswd
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Manage Unix crypt-style password file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest::SHA) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication on a
web server.

The passwords file is a flat-file with login name and their associated
crypted password. You can use this for non-Apache files if you wish, but it
was written specifically for .htaccess style files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.900.0-7.mga6
+ Revision: 1022524
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.900.0-6.mga6
+ Revision: 931379
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-5.mga5
+ Revision: 743458
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-4.mga5
+ Revision: 683487
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.900.0-3.mga4
+ Revision: 509142
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-2.mga3
+ Revision: 362962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.900.0-1.mga3
+ Revision: 341912
- update to 1.9

* Sat Jan 22 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 31717
- mageia rebuild
- cleaning spec file
- imported package perl-Apache-Htpasswd


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.800.0-1mdv2010.1
+ Revision: 504564
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdv2009.1
+ Revision: 291362
- import perl-Apache-Htpasswd


* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdv2009.1
- initial mdv release, generated with cpan2dist

